<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2006 Fabien Udriot <fabien.udriot@ecodev.ch>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
 
class tx_util_ecogal{

	/***********************************************************
	 * REMOVE THE EXTENSION FROM A FILE, LIKE A PICTURE
	 ***********************************************************/
  function removeExtension($str){
    if(substr($str,strlen($str)-4,1) == '.') //extension like .png or .jpg
      $str = substr($str,0,strlen($str)-4);
    else if(substr($str,strlen($str)-5,1) == '.') //extension like or .jpeg
      $str = substr($str,0,strlen($str)-5);
    else if(substr($str,strlen($str)-3,1) == '.') //extension like or .sh
      $str = substr($str,0,strlen($str)-3);
    return $str;
  }
  
	/***********************************************************
	 * GET ONE ROW ARRAY
	 ***********************************************************/
	function getRowArrays($result) {
		$arrayFromResultSet = array ();
		if ($result != null) {
			$index = 0;
			while ($row = mysql_fetch_row($result)) {
				foreach ($row as $value) {
					$arrayFromResultSet[$index] = stripcslashes($value);
					$index ++;
				}
			}
		}
		return $arrayFromResultSet;
	}

	/***********************************************************
	 * GET ONE ASSOCIATIVE ARRAY
	 ***********************************************************/
	function getAssocArray($result) {
		$return = array ();
		if ($result != null)
			$return = mysql_fetch_assoc($result);
		return $return;
	}

	/***********************************************************
	 * GET MANY ASSOCIATIVE ARRAY
	 ***********************************************************/
	function getAssocArrays($result) {
		$index = 0;
		$contentArray = array ();
		if ($result != null) {
			while ($row = mysql_fetch_assoc($result)) {
				$contentArray[$index] = $row;
				$index ++;
			}
		}
		return $contentArray;
	}

	/***********************************************************
	 * GET THE FRONTEND LANGUAGE
	 ***********************************************************/	
	function getFFLang($pluginLang,$configLang){
	  
    //$pluginLang = 0 -> English   # value get from the flexform plugin, defined by the user
    //$pluginLang = 1 -> French
    //$pluginLang = 2 -> German
	  if($configLang == 'EN') $numLang = 0;
	  if($configLang == 'FR') $numLang = 1;
	  if($configLang == 'DE') $numLang = 2;
	  if($configLang == 'IT') $numLang = 3;
	  $feLang = null;
  	if($pluginLang == $numLang || $configLang == null) //no typoscript
  	  $feLang = 'lDEF';
  	else
  	  $feLang = 'l'.$configLang; //compose the language
	  return $feLang;
	}
	/***********************************************************
	 * RETURN THE VALUE OF THE ATTRIBUTE SRC FROM A IMG
	 ***********************************************************/	
	function getImagePath($htmlImage){
    $substr = substr($htmlImage, 10, 100);
    $stop = strpos($substr, '"');
	  return substr($substr, 0, $stop);
	}
	/***********************************************************
	 * REPLACE THE ID BY AN OHTER ONE
	 ***********************************************************/	
	function replaceId($currentPageId, $pageId,$url){
	  return str_replace("id=".$currentPageId, "id=".$pageId, $url);
	}
	/***********************************************************
	 * REPLACE & BY &amp;
	 ***********************************************************/	
	function formatUrl($url){
	  return str_replace('&', '&amp;', $url);
	}
	/***********************************************************
	 * CONVERT URL
	 ***********************************************************/	
	function convertUrl($url){
	  $tmp = substr($url, 10, 300);
	  $tmp = str_replace('=', '-', $tmp);
	  return str_replace('&', '_', $tmp);
	}
	/***********************************************************
	 * REVERSE URL
	 ***********************************************************/	
	function reverseUrl($url){
	  $tmp = str_replace('-', '=', $url);
	  return str_replace('_', '&', $tmp);
	}
}

?>
