<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_ecogal_category"] = Array (
	"ctrl" => $TCA["tx_ecogal_category"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,category,color,flexform,comment"
	),
	"feInterface" => $TCA["tx_ecogal_category"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"category" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_category.category",		
			"config" => Array (
				"type" => "input",	
				"size" => "24",	
				"max" => "24",	
				"eval" => "required,trim",
			)
		),
		"color" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_category.color",		
			"config" => Array (
				"type" => "input",	
				"size" => "16",	
				"max" => "16",	
				"wizards" => Array(
					"_PADDING" => 2,
					"color" => Array(
						"title" => "Color:",
						"type" => "colorbox",
						"dim" => "12x12",
						"tableStyle" => "border:solid 1px black;",
						"script" => "wizard_colorpicker.php",
						"JSopenParams" => "height=300,width=250,status=0,menubar=0,scrollbars=1",
					),
				),
				"eval" => "trim",
			)
		),
		"flexform" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_category.flexform",		
			"config" => Array (
				"type" => "flex",	
				"ds" => array( 
          'default' => 'FILE:EXT:eco_gal/ds/category_ds.xml', 
          ),
			)
		),
		"comment" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_category.comment",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",	
				"rows" => "5",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, category, flexform, comment")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_ecogal_album"] = Array (
	"ctrl" => $TCA["tx_ecogal_album"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,album,flexform,comment"
	),
	"feInterface" => $TCA["tx_ecogal_album"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"album" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_album.album",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
				"max" => "48",	
				"eval" => "required,trim",
			)
		),
		"flexform" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_album.flexform",		
			"config" => Array (
				"type" => "flex",	
				"ds" => array( 
          'default' => 'FILE:EXT:eco_gal/ds/album_ds.xml', 
          ),
			)
		),
		"comment" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_album.comment",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",	
				"rows" => "5",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, album, flexform, comment")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_ecogal_image"] = Array (
	"ctrl" => $TCA["tx_ecogal_image"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,flexform,file,category,album"
	),
	"feInterface" => $TCA["tx_ecogal_image"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_image.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "36",	
				"max" => "36",	
				"eval" => "required, trim",
			)
		),
		"flexform" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_image.flexform",		
			"config" => Array (
				"type" => "flex",	
				"ds" => array( 
          'default' => 'FILE:EXT:eco_gal/ds/image_ds.xml', 
          ),
			)
		),
		"file" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_image.file",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => "gif,png,jpeg,jpg",	
				"max_size" => 1000,	
				"uploadfolder" => "uploads/tx_ecogal",
				"show_thumbs" => 1,	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
				"eval" => "required, trim",
			)
		),
		"category" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_image.category",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_ecogal_category",	
				"foreign_table_where" => "ORDER BY tx_ecogal_category.uid",	
				"size" => 10,	
				"minitems" => 0,
				"maxitems" => 10,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_ecogal_category",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
				),
			)
		),
		"album" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_image.album",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_ecogal_album",	
				"foreign_table_where" => "ORDER BY tx_ecogal_album.uid",	
				"size" => 20,	
				"minitems" => 0,
				"maxitems" => 20,	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_ecogal_album",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
				),
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, flexform;;;;3-3-3, file, category, album")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);
?>