<?php
if (!defined ('TYPO3_MODE')) die ('Access denied.');

$TCA["tx_ecogal_category"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_category',		
		'label' => 'category',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		"default_sortby" => "ORDER BY crdate",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_ecogal_category.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, category, color, flexform, comment",
	)
);

$TCA["tx_ecogal_album"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_album',		
		'label' => 'album',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		"default_sortby" => "ORDER BY crdate",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_ecogal_album.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, album, flexform, comment",
	)
);

$TCA["tx_ecogal_image"] = Array (
	"ctrl" => Array (
		'title' => 'LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_image',		
		'label' => 'title',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		"default_sortby" => "ORDER BY crdate",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_ecogal_image.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, title, flexform, file, category, album",
	)
);


//update the extension plugin form in the backend
$tempColumns = Array (
/*
	"tx_ecogal_display" => Array (
		"exclude" => 0,		
		"label" => "LLL:EXT:eco_gal/locallang_db.xml:plugin_ds.displayType",
		"config" => Array (
			"type" => "radio",
			"items" => Array (    
                    Array("LLL:EXT:eco_gal/locallang_db.xml:plugin_ds.displayAlbum", "0"), 
                    Array("LLL:EXT:eco_gal/locallang_db.xml:plugin_ds.displayPlayer", "1"), 
                    Array("LLL:EXT:eco_gal/locallang_db.xml:plugin_ds.displayLastImport", "2"), 
                ),
			"default" => 0,
		)
	),
	"tx_ecogal_lang" => Array (
		"exclude" => 0,		
		"label" => "LLL:EXT:eco_gal/locallang_db.xml:plugin_ds.defaultLang",
		"config" => Array (
			"type" => "select",
			"items" => Array (    
                    Array("English", "0"), 
                    Array("French", "1"), 
                    Array("German", "2"), 
                    Array("Italian", "3"),
                ),
			"minitems" => 0,
			"maxitems" => 1,
			"default" => 0,
			"size" => 1,
		)
	),
*/
	"alb1_flexform" => Array (
	"exclude" => 0,
	"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_category.flexform",
	"config" => Array (
		"type" => "flex",
		"ds_pointerField" => "list_type",
		"ds" => Array(
			"default" => 'FILE:EXT:eco_gal/alb1/ds/data.xml',
			),
		)
	),
	"ply1_flexform" => Array (
		"exclude" => 0,
		"label" => "LLL:EXT:eco_gal/locallang_db.xml:tx_ecogal_category.flexform",
		"config" => Array (
			"type" => "flex",
			"ds_pointerField" => "list_type",
			"ds" => Array(
			"default" => 'FILE:EXT:eco_gal/ply1/ds/data.xml',
			),
		)
	),
);

t3lib_div::loadTCA('tt_content');
t3lib_extMgm::addTCAcolumns("tt_content",$tempColumns,1);

//old extension
//$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1']='layout,select_key';
//$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1']='tx_ecogal_display,tx_ecogal_lang,pi_flexform';
//t3lib_extMgm::addPlugin(Array('LLL:EXT:eco_gal/locallang_db.xml:tt_content.list_type_pi1', $_EXTKEY.'_pi1'),'list_type');
//t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi1', 'FILE:EXT:eco_gal/ds/plugin_ds.xml');

//gallery 1
//$TCA['tt_content']['types'][$_EXTKEY.'_alb1']['showitem']='CType;;4;button;1-1-1, header;;3;;2-2-2,tx_ecogal_lang,pi_flexform'; --> with lang support
$TCA['tt_content']['types'][$_EXTKEY.'_alb1']['showitem']='CType;;4;button;1-1-1, header;;3;;2-2-2,alb1_flexform';
t3lib_extMgm::addPlugin(Array('LLL:EXT:eco_gal/locallang_db.xml:alb1', $_EXTKEY.'_alb1'),'CType');

//player 1
$TCA['tt_content']['types'][$_EXTKEY.'_ply1']['showitem']='CType;;4;button;1-1-1, header;;3;;2-2-2,ply1_flexform';
t3lib_extMgm::addPlugin(Array('LLL:EXT:eco_gal/locallang_db.xml:ply1', $_EXTKEY.'_ply1'),'CType');


/*
 * Class for displaying the category tree in BE forms
 */
include_once(t3lib_extMgm::extPath($_EXTKEY) . 'share/lib/class.treeview.php');

// BACKEND UPDATE
if (TYPO3_MODE=="BE"){
	$TBE_MODULES_EXT["xMOD_db_new_content_el"]["addElClasses"]["tx_ecogal_alb1_wizicon"] = t3lib_extMgm::extPath($_EXTKEY).'alb1/class.tx_ecogal_alb1_wizicon.php';
	$TBE_MODULES_EXT["xMOD_db_new_content_el"]["addElClasses"]["tx_ecogal_ply1_wizicon"] = t3lib_extMgm::extPath($_EXTKEY).'ply1/class.tx_ecogal_ply1_wizicon.php';
}

?>