$(document).ready(function(){
	$('#gallerySel').change(changeGal);
	$('#gallerySortSel').change(changeGal);
});

function changeGal(){
	//get and parse the url 
	var p = new Poly9.URLParser(window.location.href);
	var queryString = '';
	if(p.getQuerystring() != ''){
		queryString = '?' + p.getQuerystring(); 
	}
	
	var selection = $('#gallerySel').val();
	var order = $('#gallerySortSel').val();
	//true when no order drop down menu displayed
	if(order == null){
		order = defaultOrder;
	}
	$.post(getPly1URL,{'tt_content': tt_content,'selection': selection,'order': order,'pathName': p.getPathname() + queryString,'eco_gal':eco_gal},setPly1);
	
	// desctruct the old galley player
	$('#eco-gal-ply1').empty();
	$('#waitChangeGal').removeClass('hidden');
}

function setPly1(data){	
	//reset some global variables
	imageGalleryCaptions = new Array();	
	imgLastNo = -1;
	imgNo = 1;
	doTranslate = false;
	
	// rebuild the new gallery player
	$('#eco-gal-ply1').html(data);
	$('#theImages a').click(showPreview);
	initSlideShow();
	
	// hide the loading message 
	$('#waitChangeGal').addClass('hidden');
}
