<?php
/***************************************************************
*	Copyright notice
*
*	(c) 2006 Fabien Udriot <fabien.udriot@ecodev.ch>
*	All rights reserved
*
*	This script is part of the TYPO3 project. The TYPO3 project is
*	free software; you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation; either version 2 of the License, or
*	(at your option) any later version.
*
*	The GNU General Public License can be found at
*	http://www.gnu.org/copyleft/gpl.html.
*
*	This script is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
*	GNU General Public License for more details.
*
*	This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Plugin 'Photo gallery express' for the 'eco_gal' extension.
 *
 * @author	Fabien Udriot <fabien.udriot@ecodev.ch>
 */
	
class tx_dataManager_ply1{
	
	/* objects proprieties */
	private $db;
	
	/***********************************************************
	 * CONSTRUCTOR PHP 5, pass objects by reference
	 ***********************************************************/
	function __construct(){
		$this->db =& $GLOBALS['TYPO3_DB'];;
	}

	/**
	 * Enter description here...
	 *
	 * @param int $uid
	 * @return string $title
	 */
	function getAlbumsTitle($selections){
		$titles = array();
		foreach($selections as $uid){
			$rec = $this->db->exec_SELECTgetRows('title','tx_dam_selection','uid='.$uid);
			$titles[$uid] = $rec[0]['title'];
		}
		return	$titles;
	}
	
	/**
	 * check if a selection UID exists
	 *
	 * @param int $uid
	 * @return boolean
	 */
	function existSelection($uid){
		$ret = false;
		$rec = $this->db->exec_SELECTgetRows('uid','tx_dam_selection','uid='.$uid);
		if($rec[0]['uid'] != ''){
			$ret = true;
		}
		return $ret;
	}

	/**
	 * return a tt_content
	 *
	 * @param int $uid
	 * @return array
	 */
	function getTTContent($uid){
		$rec = $this->db->exec_SELECTgetRows('*','tt_content','uid='.$uid);
		return $rec[0];
	}
	
	/**
	 * delete a media in the Media libarary...
	 *
	 * @param int $uid
	 */
	function deleteMedia($uid){
		$this->db->exec_UPDATEquery ('tx_dam','uid='.$uid,array('deleted' => 1));
	}
	
}
?>